<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <f:view>
            
            <h:form>
                
                <h:dataTable value="#{browser.ids}" var="id" border="1">
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Message ID"/>
                        </f:facet>
                        <h:outputText value="#{id}"/>
                    </h:column>
                </h:dataTable>
                
                <br/>
                <h:outputText value="Filter"/>
                <h:inputText value="#{browser.filter}"/>
                
                <br/>
                <h:commandButton value="List" action="#{browser.list}"/>
                <h:commandButton value="Remove" action="#{browser.remove}"/>
                
                <br/>
                <h:outputText value="Deleted message #{browser.deleted}"/>
                
            </h:form>
            
        </f:view>
    </body>
</html>
